{ config, lib, ... }:
let
  inherit (config) pages;
in
{
  menus.main = {
    label = "Main";
    items = [
      { page = pages.index // { title = "Start"; }; }
      {
        menu.label = "For you";
        menu.items = map (page: { inherit page; })
          (with pages; [ individuals developers european-commission ]);
      }
      {
        menu.label = "Consortium";
        menu.items = map (page: { inherit page; })
          (with pages; [ nlnet oid tweag nordunet ]);
      }
      { page = pages.fediversity; }
      { page = pages.grants; }
      { page = pages.news; }
      { page = pages.events; }
      {
        link = {
          label = "Contact";
          url = "mailto:contact@fediversity.eu";
        };
      }
    ];
  };
}
